C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     KSM_GET_SYLAT      **
C****************************
C
CD-Routine: Get the Crystal System and Lattice Type - KSM_GET_SYLAT
C This routine returns the crystal system type and lattice
C type if the symmetry has been defined via the space group number or
C name.        
CD-end
CD-Fortran:
      SUBROUTINE KSM_GET_SYLAT (SYST, LATT)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: See if symmetry data was defined
C
C Author:  John W. Campbell, October 1996
C
C Arguments:
C
      CHARACTER*(*) SYST
      CHARACTER*(*) LATT

CD-Parameters:
C  SYST      c (W)  Crystal system (blank if symmetry not defined or 
C                   defined using a set of operators and not via the 
C                   space group number or name). Allow minimum of 12 
C                   characters. Name wlll be returned in upper case. 
C                   e.g. TRICLINIC, MONOCLINIC, ORTHORHOMBIC, 
C                        TETRAGONAL, TRIGONAL, HEXAGONAL, CUBIC
C  LATT      c (W)  Lattice type (blank if symmetry not defined or 
C                   defined using a set of operators and not via the 
C                   space group number or name). Allow minimum of 1 
C                   characters. Name wlll be returned in upper case.
C                   e.g. P, A, B, C, I, F, R 
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      SYST = ' '
      LATT = ' '
      IF (NSPGRP.EQ.0) RETURN
      SYST = SYSTYP
      CALL CCPUPC (SYST)
      LATT = SPGNAM(1:1)
      CALL CCPUPC(LATT)
      RETURN
      END
